### Virtual Method

# Camel Index add_name

#### Declaration [src]

    CamelIndexName*
    add_name (
      CamelIndex* index,
      const gchar* name
    )

#### Description

No description available.

#### Parameters

`name`

  Type: `const gchar*`

  A name to add.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `CamelIndexName`

A `CamelIndexName` with added given `name`, or `NULL`, when the `name` could not be added.

The returned data is owned by the instance.
The return value can be `NULL`.